<?php

namespace Drupal\cforge;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Modifies Drupal's services
 */
class CforgeServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $container->getDefinition('string_translation')
      ->setClass('Drupal\cforge\TranslationManager');

    $definition = $container->getDefinition('menu.parent_form_selector');
    $definition->setClass('Drupal\cforge\MenuParentFormSelector');

    $container->getDefinition('menu.default_tree_manipulators')
     ->setClass('Drupal\cforge\DefaultMenuLinkTreeManipulators');
  }

}
