<?php

namespace Drupal\cforge;

use Drupal\aggregator\Entity\Feed;
use Drupal\filter\Entity\FilterFormat;

/**
 * Defines a chained translation implementation combining multiple translators.
 */
class Secure {

  /**
   * Element pre_render callback.
   *
   * Map text formats onto existing formats.
   */
  static function textFilterMap($element) {
    static $map;
    if (!isset($map)) {
      $formats = array_keys(FilterFormat::loadMultiple());
      $map = array_combine($formats, $formats);
      $map['basic'] = 'basic_html';
      $map['restricted_html'] = 'basic_html';
    }
    $element['#format'] = $map[$element['#format']];
    return $element;
  }

  static function aggregatorExternalLinks($build) {
    $build['#configuration']['label'] = Feed::load($build['#configuration']['feed'])->label();
    foreach ($build['content']['list']['#items'] as $item) {
      $item['#url']->setOption('attributes', ['target' => '_blank']);
    }
    return $build;
  }
}
